#!/bin/sh
#
# Licensed Materials - Property of IBM
#
# OCO Source Materials
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# The source code for this program is not published or other-
# wise divested of its trade secrets, irrespective of what has
# been deposited with the U.S. Copyright Office.
#
export PATH=/usr/bin:/sbin:/usr/sbin:/bin:$PATH

/opt/ibm/director/vmi/bin/execWithPrivilege auditLogger bypassLicenseAndSetup
if [ $# -eq 1 ]; then
IP=$1
Hostname=`hostname`
elif [ $# -eq 2 ]; then
IP=$1
Hostname=$2
else
echo "you must provide either 1 parameter (ip address) or 2 parameters (ip address and hostname)"
exit 1
fi
echo 'FullHostName='$Hostname>> /opt/ibm/director/vmi/data/.AMInfo.config
echo 'IPAddress='$IP>> /opt/ibm/director/vmi/data/.AMInfo.config
sed -i '/ProductActivation class="ldap/,/<\/ProductActivation/ s/.*//' /opt/ibm/ae/AR/ovf-env.ar
sed -i 's/cfgeth0.ipv4address\" ovfenv:value=\".*"/cfgeth0.ipv4address\" ovfenv:value=\"'${IP}'\"/' /opt/ibm/ae/AP/ovf-env.xml
#Enable HA for troy
rm /opt/ibm/director/lwi/runtime/itme/disableHAFunction.sh
#disable Flexcat for Troy
sed -i 's/FlexCat.service.disabled=false/FlexCat.service.disabled=true/' /opt/ibm/director/lwi/conf/overrides/FlexCat.properties
/opt/ibm/director/vmi/bin/fsmPostLwiUpdatePatches.sh
touch /opt/ibm/director/vmi/data/.wizardcompleted
touch /opt/ibm/director/vmi/data/.licenseaccepted
touch /opt/ibm/director/vmi/data/.troyinstall
/usr/smrshbin/smshutdown -r -t now && sleep 1000
exit 0