
define(["dojo/_base/declare", "widgets/util/ResourceNavigatorDAHelper"],
	function (declare, ResourceNavigatorDAHelper) { 
return declare([ResourceNavigatorDAHelper], {
	_chassisListWidget: null,
	constructor: function(parentWidget) {
		this.inherited(arguments);
		console.info('aa' + parent);
		this._chassisListWidget = parentWidget;
	},
	/*
	 * Method which check context for default server task and executes if needed
	 * else executes the callback method
	 */
	executeDefaultAction: function(objectContext){
	
		this._args = {
            launchParms: "",
			menuItem: "",
			context: ""
		};
		
		dojo.mixin(this._args, objectContext);

		var selectedObjects = objectContext.selection;
		if(( selectedObjects.getLinkCount() + selectedObjects.getItemCount() ) != 1){
			//if there is more than one item then just return and do nothing for now
			return;
		}
		
		var object = null;
		
		//set the selected object
        if(selectedObjects.getItemCount() == 1){
        	object = selectedObjects.getItems()[0];            
        }
		
		//var URL = (object.getProperty(this.urlProperty)).getValue();
        //TODO 2928
        var oid = object.getId();
        this._chassisListWidget.parent.launchChassisMap(oid);
        //var URL = "index.html?workAreaDijit=fsm/chassisMap&sourceToken="+oid;
		//index.html?workAreaDijit=widgets/WorkArea&sourceToken=12594&selector=widgets/DetailsSelector
		// should have the URL now...call LaunchURL
		//this.launchURL(URL);        	
	}
});
});