/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define(["dojo/_base/declare",
		"dijit/_WidgetBase",
		"dijit/_TemplatedMixin",
		//Need this because we are declaring a widget in our template
		"dijit/_WidgetsInTemplateMixin",
		//The template definition
		"dojo/text!./templates/helloworld.html"
		],function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, template) {
	return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], 
	{		 
		templateString: template,
		
		postCreate: function() {
			this.inherited(arguments);
			this.initializeSandbox();
		},
		initializeSandbox: function() {
			dojo.create('span', {
           		id : 'helloWorldText',
            	innerHTML: 'hello FSM World'
        	}, this.domNode);
		},
		startup: function() {
			this.inherited(arguments);
		},
				
		destroyItemsTable: function () {
			dijit.byId("sandboxContainer").destroyRecursive();
		}
	});
});